Subject: Re: [PATCH v2 2/5] perf record: Prevent override of attr->sample_period for libpfm4 events

From: Arnaldo Carvalho de Melo <[email-masked]>
Date: Fri, 4 Sep 2020 15:48:03 -0300

Em Fri, Sep 04, 2020 at 09:22:10AM -0700, Ian Rogers escreveu:
> On Fri, Sep 4, 2020 at 9:03 AM Jiri Olsa <[email-masked]> wrote:
> > On Thu, Sep 03, 2020 at 10:41:14PM -0700, Ian Rogers wrote:
> > > On Wed, Jul 29, 2020 at 4:24 PM Ian Rogers <[email-masked]> wrote:
> > > > On Tue, Jul 28, 2020 at 9:10 AM Jiri Olsa <[email-masked]> wrote:
> > > > > On Tue, Jul 28, 2020 at 05:59:46PM +0200, Jiri Olsa wrote:
> > > > > > On Tue, Jul 28, 2020 at 01:57:31AM -0700, Ian Rogers wrote:
> > > > > [jolsa@krava perf]$ sudo ./perf test 17 -v
> > > > > 17: Setup struct perf_event_attr                          :

> > > > > running './tests/attr/test-record-C0'
> > > > > expected sample_period=4000, got 3000
> > > > > FAILED './tests/attr/test-record-C0' - match failure

> > > > I'm not able to reproduce this. Do you have a build configuration or
> > > > something else to look at? The test doesn't seem obviously connected
> > > > with this patch.

> > > Jiri, any update? Thanks,

> > sorry, I rebased and ran it again and it passes for me now,
> > so it got fixed along the way

> No worries, thanks for the update! It'd be nice to land this and the
> other libpfm fixes.

I applied it and it generated this regression:

FAILED '/home/acme/libexec/perf-core/tests/attr/test-record-pfm-period' - match failure

I'll look at the other patches that are pending in this regard to see
what needs to be squashed so that we don't break bisect.

- Arnaldo